## org.eclipse.jet.ui.newproject
Class NewJETProjectPage1

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ui.dialogs.WizardNewProjectCreationPage
                  org.eclipse.jet.ui.newproject.NewJETProjectPage1Controls
                      org.eclipse.jet.ui.newproject.NewJETProjectPage1

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class NewJETProjectPage1

extends NewJETProjectPage1Controls

Field Summary

Fields inherited from class org.eclipse.jet.ui.newproject.NewJETProjectPage1Controls
`txtDefJavaPackage, txtJavaOutput, txtJETOutput, txtTemplateFolder`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`NewJETProjectPage1(java.lang.String pageName)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getDefaultJavaPackage()`
`java.lang.String` `getDefJavaPackage()`
`java.lang.String` `getJavaOutputFolder()`
`java.lang.String` `getJETOutputFolder()`
`java.lang.String` `getTemplateFolder()`
`protected void` `txtDefJavaPackage_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `NewJETProjectPage1Controls.txtDefJavaPackage`.
`protected void` `txtJavaOutput_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `NewJETProjectPage1Controls.txtJavaOutput`.
`protected void` `txtJETOutput_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `NewJETProjectPage1Controls.txtJETOutput`.
`protected void` `txtTemplateFolder_modify(org.eclipse.swt.events.ModifyEvent e)` Modify event handler for `NewJETProjectPage1Controls.txtTemplateFolder`.
`protected boolean` `validatePage()`

Methods inherited from class org.eclipse.ui.dialogs.WizardNewProjectCreationPage
`createWorkingSetGroup, getLocationPath, getLocationURI, getProjectHandle, getProjectName, getSelectedWorkingSets, setInitialProjectName, setVisible, useDefaults`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### NewJETProjectPage1

    public NewJETProjectPage1(java.lang.String pageName)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `createControl` in class `NewJETProjectPage1Controls`

### txtTemplateFolder_modify

    protected void txtTemplateFolder_modify(org.eclipse.swt.events.ModifyEvent e)

  Description copied from class: `NewJETProjectPage1Controls`
  Modify event handler for `NewJETProjectPage1Controls.txtTemplateFolder`.

  Specified by:
    `txtTemplateFolder_modify` in class `NewJETProjectPage1Controls`
  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### txtJETOutput_modify

    protected void txtJETOutput_modify(org.eclipse.swt.events.ModifyEvent e)

  Description copied from class: `NewJETProjectPage1Controls`
  Modify event handler for `NewJETProjectPage1Controls.txtJETOutput`.

  Specified by:
    `txtJETOutput_modify` in class `NewJETProjectPage1Controls`
  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### txtJavaOutput_modify

    protected void txtJavaOutput_modify(org.eclipse.swt.events.ModifyEvent e)

  Description copied from class: `NewJETProjectPage1Controls`
  Modify event handler for `NewJETProjectPage1Controls.txtJavaOutput`.

  Specified by:
    `txtJavaOutput_modify` in class `NewJETProjectPage1Controls`
  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### txtDefJavaPackage_modify

    protected void txtDefJavaPackage_modify(org.eclipse.swt.events.ModifyEvent e)

  Description copied from class: `NewJETProjectPage1Controls`
  Modify event handler for `NewJETProjectPage1Controls.txtDefJavaPackage`.

  Specified by:
    `txtDefJavaPackage_modify` in class `NewJETProjectPage1Controls`
  Parameters:
    `e` - the Modify Event
  See Also:
    `ModifyListener`, `ModifyListener.modifyText(ModifyEvent)`

### validatePage

    protected boolean validatePage()

  Overrides:
    `validatePage` in class `org.eclipse.ui.dialogs.WizardNewProjectCreationPage`

### getDefJavaPackage

    public java.lang.String getDefJavaPackage()

### getTemplateFolder

    public java.lang.String getTemplateFolder()

### getJETOutputFolder

    public java.lang.String getJETOutputFolder()

### getJavaOutputFolder

    public java.lang.String getJavaOutputFolder()

### getDefaultJavaPackage

    public java.lang.String getDefaultJavaPackage()

Copyright 2006 IBM Corporation and others. All Rights Reserved.